Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2823103003: Introduce TaskRunner::RunsTasksInCurrentSequence() (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 1 week ago by Yeol Park
Modified:
5 months, 2 weeks ago
CC:
Aaron Boodman, abarth-chromium, achuith+watch_chromium.org, alemate+watch_chromium.org, alokp+watch_chromium.org, avayvod+watch_chromium.org, blink-reviews, blink-worker-reviews_chromium.org, cbentzel+watch_chromium.org, cc-bugs_chromium.org, chromium-reviews, chromoting-reviews_chromium.org, danakj+watch_chromium.org, darin (slow to review), darin-cc_chromium.org, davemoore+watch_chromium.org, Eugene But, fdoray+watch_chromium.org, feature-media-reviews_chromium.org, gab+watch_chromium.org, halliwell+watch_chromium.org, hashimoto+watch_chromium.org, imcheng+watch_chromium.org, ios-reviews_chromium.org, ios-reviews+web_chromium.org, isheriff+watch_chromium.org, jam, jasonroberts+watch_google.com, jbauman+watch_chromium.org, kalyank, kinuko+watch, lcwu+watch_chromium.org, mac-reviews_chromium.org, miu+watch_chromium.org, mlamouri+watch-content_chromium.org, net-reviews_chromium.org, oshima+watch_chromium.org, piman+watch_chromium.org, qsr+mojo_chromium.org, robliao+watch_chromium.org, sadrul, scheduler-bugs_chromium.org, tracing+reviews_chromium.org, viettrungluu+watch_chromium.org, vmpstr+watch_chromium.org, wfh+watch_chromium.org, xjz+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Introduce TaskRunner::RunsTasksInCurrentSequence() to replace TaskRunner::RunsTasksOnCurrentThread(). Make TaskRunner::RunsTasksOnCurrentThread() non-virtual and define it in terms of TaskRunner::RunsTasksInCurrentSequence(). It's the first step to rename RunsTasksOnCurrentThread() to RunsTasksInCurrentSequence(). BUG=665062 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel Review-Url: https://codereview.chromium.org/2823103003 Cr-Commit-Position: refs/heads/master@{#470173} Committed: https://chromium.googlesource.com/chromium/src/+/3322df623f6198576a688561fe22a8786b2e1e1f

Patch Set 1 #

Patch Set 2 : fixed build error #

Patch Set 3 : remove RunsTasksOnCurrentThread() overrided. #

Total comments: 11

Patch Set 4 : fixed build error and commments #

Total comments: 3

Patch Set 5 : Fixed indented #

Patch Set 6 : rebase #

Patch Set 7 : rebase #

Patch Set 8 : rebase #

Total comments: 2

Patch Set 9 : rebase & apply inline #

Patch Set 10 : rebase #

Total comments: 1

Patch Set 11 : rebase & remove inline keyword #

Unified diffs Side-by-side diffs Delta from patch set Stats (+148 lines, -125 lines) Patch
M base/deferred_sequenced_task_runner.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M base/deferred_sequenced_task_runner.cc View 1 2 3 4 1 chunk +2 lines, -2 lines 0 comments Download
M base/message_loop/message_loop_task_runner.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M base/message_loop/message_loop_task_runner.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M base/task_runner.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +22 lines, -6 lines 0 comments Download
M base/task_scheduler/scheduler_single_thread_task_runner_manager.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +3 lines, -3 lines 0 comments Download
M base/task_scheduler/scheduler_worker_pool_impl.cc View 1 2 3 4 5 2 chunks +2 lines, -4 lines 0 comments Download
M base/test/null_task_runner.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M base/test/null_task_runner.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M base/test/scoped_task_scheduler.cc View 1 2 3 4 5 6 7 8 4 chunks +6 lines, -6 lines 0 comments Download
M base/test/test_mock_time_task_runner.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M base/test/test_mock_time_task_runner.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M base/test/test_simple_task_runner.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M base/test/test_simple_task_runner.cc View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M base/threading/sequenced_worker_pool.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M base/threading/sequenced_worker_pool.cc View 1 2 3 4 5 chunks +7 lines, -6 lines 0 comments Download
M base/threading/worker_pool.cc View 1 2 3 2 chunks +2 lines, -2 lines 0 comments Download
M base/trace_event/memory_dump_manager_unittest.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +2 lines, -2 lines 0 comments Download
M cc/test/ordered_simple_task_runner.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M cc/test/ordered_simple_task_runner.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M cc/tiles/image_controller_unittest.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/after_startup_task_utils.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/after_startup_task_utils.cc View 1 2 3 4 5 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/after_startup_task_utils_unittest.cc View 1 2 3 4 5 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/chromeos/login/users/fake_chrome_user_manager.cc View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/chromeos/login/users/mock_user_manager.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/memory/tab_manager_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chromecast/base/system_time_change_notifier_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chromeos/dbus/blocking_method_caller_unittest.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M chromeos/tpm/tpm_token_info_getter_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/memory_pressure/memory_pressure_monitor_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/user_manager/fake_user_manager.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/browser/browser_thread_impl.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M content/browser/compositor/reflector_impl_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/browser/dom_storage/dom_storage_task_runner.h View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/dom_storage/dom_storage_task_runner.cc View 1 2 3 4 2 chunks +5 lines, -5 lines 0 comments Download
M content/browser/startup_task_runner_unittest.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/child/blob_storage/blob_transport_controller_unittest.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M content/child/worker_thread_registry.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/categorized_worker_pool.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/categorized_worker_pool.cc View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M content/renderer/render_thread_impl_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M content/test/test_blink_web_unit_test_support.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M ios/web/web_thread_impl.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M media/base/fake_single_thread_task_runner.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M media/base/fake_single_thread_task_runner.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M media/cast/test/skewed_single_thread_task_runner.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M media/cast/test/skewed_single_thread_task_runner.cc View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M mojo/public/cpp/bindings/tests/bind_task_runner_unittest.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M net/quic/chromium/test_task_runner.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M net/quic/chromium/test_task_runner.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M remoting/base/auto_thread_task_runner.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M remoting/base/auto_thread_task_runner.cc View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/client/plugin/pepper_main_thread_task_runner.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M remoting/client/plugin/pepper_main_thread_task_runner.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/WebTaskRunner.h View 1 2 3 4 1 chunk +7 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/WebTaskRunner.cpp View 1 2 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/base/task_queue_impl.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/scheduler/base/task_queue_impl.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/base/task_queue_manager.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/scheduler/base/task_queue_manager.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/base/task_queue_manager_delegate_for_test.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/scheduler/base/task_queue_manager_delegate_for_test.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/idle_helper.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/scheduler_tqm_delegate_for_test.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/scheduler_tqm_delegate_for_test.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/scheduler_tqm_delegate_impl.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/scheduler_tqm_delegate_impl.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/single_thread_idle_task_runner.cc View 1 2 3 4 5 6 7 8 9 2 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/web_task_runner_impl.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/web_task_runner_impl.cc View 1 2 3 4 5 6 7 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/test/fake_web_task_runner.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/scheduler/test/fake_web_task_runner.cc View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/test/lazy_scheduler_message_loop_delegate_for_tests.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/scheduler/test/lazy_scheduler_message_loop_delegate_for_tests.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/public/platform/scheduler/child/single_thread_idle_task_runner.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M ui/accelerated_widget_mac/window_resize_helper_mac.cc View 1 2 2 chunks +3 lines, -3 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 88 (66 generated)
Yeol Park
PTAL :) gab@ for base/* enne@ for cc/* jochen@ for chrome/*, for components/* alokp@ for ...
6 months, 1 week ago (2017-04-18 05:13:07 UTC) #4
achuithb
chromeos lgtm
6 months, 1 week ago (2017-04-18 05:46:08 UTC) #5
jochen (gone - plz use gerrit)
lgtm
6 months, 1 week ago (2017-04-18 11:38:38 UTC) #14
gab
Thanks for doing this, comments below https://codereview.chromium.org/2823103003/diff/40001/base/task_runner.h File base/task_runner.h (right): https://codereview.chromium.org/2823103003/diff/40001/base/task_runner.h#newcode80 base/task_runner.h:80: // general to ...
6 months, 1 week ago (2017-04-18 15:00:33 UTC) #19
Eugene But
ios lgtm
6 months, 1 week ago (2017-04-18 15:57:06 UTC) #20
enne (OOO)
cc lgtm
6 months, 1 week ago (2017-04-18 16:44:50 UTC) #21
alokp
lgtm
6 months, 1 week ago (2017-04-18 16:49:02 UTC) #22
chcunningham
media lgtm I'm confused by the CL description though. You seem to be both defining ...
6 months, 1 week ago (2017-04-18 17:28:13 UTC) #23
sadrul
ui lgtm
6 months, 1 week ago (2017-04-18 17:38:02 UTC) #24
Yeol Park
I updated the description. :)
6 months, 1 week ago (2017-04-19 08:35:40 UTC) #30
gab
Re. CL description make it: """ Introduce TaskRunner::RunsTasksInCurrentSequence() to replace TaskRunner::RunsTasksOnCurrentThread(). Make TaskRunner::RunsTasksOnCurrentThread() non-virtual and ...
6 months ago (2017-04-19 18:37:56 UTC) #31
alexmos
content/ LGTM once gab@'s comments are addressed.
6 months ago (2017-04-19 20:34:43 UTC) #32
Yeol Park
PTAL :) asanka@ for net/* jamiewalch@ for remoting/* jam@ for mojo/* brettw@ for third_party/*
5 months, 4 weeks ago (2017-04-26 10:03:46 UTC) #59
gab
On 2017/04/26 10:03:46, Yeol Park wrote: > PTAL :) > > asanka@ for net/* > ...
5 months, 4 weeks ago (2017-04-26 14:57:57 UTC) #60
gab
Other than that and the comment below, //base lgtm :) https://codereview.chromium.org/2823103003/diff/140001/base/task_runner.cc File base/task_runner.cc (right): https://codereview.chromium.org/2823103003/diff/140001/base/task_runner.cc#newcode58 ...
5 months, 4 weeks ago (2017-04-26 15:03:05 UTC) #61
jam
mojo lgtm
5 months, 4 weeks ago (2017-04-26 15:23:49 UTC) #62
Jamie
remoting/ lgtm
5 months, 4 weeks ago (2017-04-26 17:16:34 UTC) #63
asanka
/net lgtm
5 months, 4 weeks ago (2017-04-26 20:44:20 UTC) #64
Yeol Park
gab@ done to apply inline. Thank you for your information :) I will always reply ...
5 months, 4 weeks ago (2017-04-27 10:13:13 UTC) #73
gab
https://codereview.chromium.org/2823103003/diff/140001/base/task_runner.cc File base/task_runner.cc (right): https://codereview.chromium.org/2823103003/diff/140001/base/task_runner.cc#newcode58 base/task_runner.cc:58: return RunsTasksInCurrentSequence(); On 2017/04/26 15:03:05, gab wrote: > Actually, ...
5 months, 4 weeks ago (2017-04-27 14:31:17 UTC) #74
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2823103003/200001
5 months, 2 weeks ago (2017-05-09 03:20:18 UTC) #85
commit-bot: I haz the power
5 months, 2 weeks ago (2017-05-09 03:56:07 UTC) #88
Message was sent while issue was closed.
Committed patchset #11 (id:200001) as
https://chromium.googlesource.com/chromium/src/+/3322df623f6198576a688561fe22...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa